본문으로 건너뛰기

Definition

Shared request and response schema. Request: Data accepted by Execute Ontology Request. The required field is from. Response: Fields that define Definition. The required field is from.

from object필수

Where a definition starts: one type (entity or relation) and, optionally, the rows to start from. anchors are {column: value} maps that name every key column of the type (compile checks); extra columns are only meaningful under upsert, where the anchor row is the row written.

entity object

EntityType id

하나 이상(anyOf)
string
relation object

RelationType id

하나 이상(anyOf)
string
anchors object

Start rows as {key column: value} maps

하나 이상(anyOf)
  • Array [
  • property name*any
  • ]
  • ops object[]
  • Array [
  • where object
    하나 이상(anyOf)
    object
    traverse object
    하나 이상(anyOf)
    string
    direction object
    하나 이상(anyOf)
    string

    Possible values: [out, in]

    depth object
    하나 이상(anyOf)
    integer

    Possible values: >= 1

    to object
    하나 이상(anyOf)
    string
    상수 값: link
    alias object
    하나 이상(anyOf)
    string

    Possible values: non-empty

    union object
    하나 이상(anyOf)
    intersect object
    하나 이상(anyOf)
    subtract object
    하나 이상(anyOf)
    derive object
    하나 이상(anyOf)
    object
  • ]
  • caps object
    하나 이상(anyOf)
    depth object
    하나 이상(anyOf)
    integer

    Possible values: >= 1

    frontier_per_level object
    하나 이상(anyOf)
    integer

    Possible values: >= 1

    max_nodes object
    하나 이상(anyOf)
    integer

    Possible values: >= 1

    max_edges object
    하나 이상(anyOf)
    integer

    Possible values: >= 1

    intermediate object
    하나 이상(anyOf)
    integer

    Possible values: >= 1

    matching object
    하나 이상(anyOf)
    integer

    Possible values: >= 1

    pin object
    하나 이상(anyOf)
    txn object필수
    하나 이상(anyOf)
    integer
    versions object
    하나 이상(anyOf)
    object
    Definition
    {
    "from": {
    "entity": "string",
    "relation": "string",
    "anchors": [
    {}
    ]
    },
    "ops": [
    {
    "where": {},
    "traverse": "string",
    "direction": "out",
    "depth": 0,
    "to": "link",
    "alias": "string",
    "derive": {}
    }
    ],
    "caps": {
    "depth": 0,
    "frontier_per_level": 0,
    "max_nodes": 0,
    "max_edges": 0,
    "intermediate": 0,
    "matching": 0
    },
    "pin": {
    "txn": 0,
    "versions": {}
    }
    }